<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<header class="masthead">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-10 align-self-end">
                <h1 class="text-uppercase text-white font-weight-bold">My Policies</h1>
                <hr class="divider my-4"/>
            </div>
            <div class="col-lg-8 align-self-baseline">
                <p class="text-white-75 font-weight-light mb-5">View your insurance policy offers, active policies, or
                    policy history - all in one place!</p>
            </div>
        </div>
    </div>
</header>
<div class="page-section pt-5">
    <div th:if="${policies.isEmpty()}">
        <p class="ml-4 mr-4 text-muted font-weight-normal ">You have no insurance policies yet.</p>
    </div>
    <div class="row ml-3 mr-3" th:unless="${policies.isEmpty()}">
        <div class="card col-sm-3 m-3" th:each="policy : ${policies}">
            <div class="card-body">
                <h5 class="card-title"
                    th:text="'Policy #' + ${policy.id} + '/ saved ' +
                    ${policy.savedDate.toString().replace('.0', '').replace(' ', ' at ')}">
                    Policy #1/ 2020-10-19 </h5>
                <p class="card-text m-1" th:text="'Car: ' + ${policy.car.model.brand.name} + ' ' +
                ${policy.car.model.name}">Car brand and model: Audi A3</p>
                <p class="card-text m-1" th:text="'Registration number: ' + ${policy.car.registrationNumber} ">
                    Registration number: CO1253TA</p>
                <p class="card-text m-1" th:text="'Cubic capacity: ' + ${policy.car.cubicCapacity} ">Cubic capacity:
                    12345</p>
                <p class="card-text m-1" th:text="'Registration date: ' + ${policy.car.registrationDate}">
                    Registration date: 1019-07-15</p>
                <p class="card-text m-1" th:text="'Premium amount: ' + ${policy.premiumAmount} ">Premium amount: 1234
                    BGN</p>
                <p class="card-text m-1 mb-3"
                   th:text="'Policy status: ' + ${policy.status.type.toString().toLowerCase()} ">Policy status:
                    Generated</p>
                <div class="row">
                    <div class="col-sm-auto m-1">
                        <a class="btn btn-primary text-white"
                           th:onclick="'javascript:openDetails('+${policy.getId()}+')'">View details</a>
                    </div>
                    <form th:if="${policy.status.type.toString().equalsIgnoreCase('requested')}"
                          th:object="${cancelPolicyDTO}" th:action="@{/policy/my-policies/cancel}" method="post">
                        <div
                                class="col-sm-auto m-1">
                            <input type="hidden" id="policyId" th:name="policyId" th:id="policyId" th:value="${policy.id}">
                            <input id="status" type="hidden" th:name="status" th:id="status" th:value="'canceled'">
                            <button type="submit" class="btn btn-outline-secondary"
                            >Cancel
                            </button>
                        </div>
                    </form>
                    <div class="col-sm-auto m-1">
                        <a th:if="${policy.status.type.toString().equalsIgnoreCase('generated')}"
                           href="#" class="btn btn-primary"
                           th:onclick="'javascript:openRequest('+${policy.getId()}+')'">Request policy</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function openRequest(inputID) {
        location.href = '/policy/request/' + inputID;
    }
</script>
<script>
    function openDetails(inputID) {
        location.href = '/policy/details/' + inputID;
    }
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
